# VersionHistory Object

> Source: https://truto.one/docs/api-reference/unified-file-storage-api/versionhistory/

Schema for the `VersionHistory` resource in **Unified File Storage API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a version
- **`drive_item`** _(object)_
  The drive item the version is associated with
  - **`id`** _(string)_
    The unique identifier for a drive item
  - **`name`** _(string)_
    The name of the drive item
  - **`type`** _(string)_
    The type of the drive item
    Allowed: `file`, `folder`
- **`name`** _(string)_
  The name of the drive item for this version
- **`version_number`** _(string)_
  The version number or label
- **`description`** _(string)_
  The description, note, or change comment associated with this version
- **`mime_type`** _(string)_
  The mime type of this version
- **`size`** _(integer)_
  The size of this version
- **`checksum`** _(object)_
  The checksum of this version
  - **`type`** _(string)_
    The checksum type
  - **`value`** _(string)_
    The checksum value
- **`creator`** _(object)_
  The user who created this version
  - **`id`** _(string)_
    The unique identifier for a user
  - **`name`** _(string)_
    The name of the user
  - **`emails`** _(array<object>)_
    The emails of the user
    - **`email`** _(string)_
      The email address
    - **`type`** _(string)_
      The type of email address
    - **`is_primary`** _(boolean)_
      Whether the email address is primary
- **`status`** _(string)_
  The status of the version
- **`is_current`** _(boolean)_
  Whether this version is the current version
- **`is_retained`** _(boolean)_
  Whether this version is retained from automatic deletion
- **`download_url`** _(string)_
  The URL to download this version
- **`created_at`** _(string)_
  The date and time the version was created
- **`updated_at`** _(string)_
  The date and time the version was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/file-storage/version_history](/docs/api-reference/unified-file-storage-api/versionhistory/list) — List Version history
- [GET /unified/file-storage/version_history/{id}](/docs/api-reference/unified-file-storage-api/versionhistory/get) — Get Version history
